package de.renew.util;

class DetachingRunnable implements Runnable {
    private final Runnable _runnable;

    DetachingRunnable(Runnable runnable) {
        this._runnable = runnable;
    }

    @Override
    public void run() {
        _runnable.run();
        Detacher.detach();
    }
}